package cz.cas.icpf.hroch486.selfml;
import org.dom4j.Document;

/**
This is a general interface to parsers of all data formats (mostly spreadsheets).
@author Z. Wagner, 2003
*/

public interface SpreadsheetParser {

/** Return the name of the spreadsheet root element. */
public String getElementName();

/** Return the name of the main spreadsheet namespace URI */
public String getNamespaceURI();

/**
Parse the spreadsheet document
@param document the spreadsheet document
@return intermediate document to be used by the property builder
@exception EdipException reason of error
*/

public Document parse(Document document) throws EdipException;

}
