/* Java environment, allowed arguments are 11, 13, 141, 'default' and 0 (default) */

parse arg ver rest
env = 'OS2ENVIRONMENT'
blp = 'BEGINLIBPATH'

/* Remove all Java dirs from Path */

path = value('PATH',,env)
do until j = 0
  j = pos('D:\JAVA', translate(path))
  if j > 0 then do
    k = pos(';', path, j)
    if k = 0 then path = substr(path, 1, j-1)
    else path = substr(path, 1, j-1) || substr(path, k+1)
  end
end

if ver='default' then do
  jvdefault = value('JAVADEFAULT',,env)
  if jvdefault = '' then ver='13'
  else ver = jvdefault
end

if ver='142' then do
  'SET CLASSPATH='
  'SET JAVA_HOME=D:\Java142'
  path = 'D:\Java142\bin;' || path
  jver = 'J14.2_'
end
else
if ver='141' then do
  'SET CLASSPATH='
  'SET JAVA_HOME=D:\Java141'
  path = 'D:\Java141\bin;' || path
  jver = 'J14.1_'
end
else
if ver='13' then do
  'SET BEGINLIBPATH=D:\Java13\jre\bin;D:\Java13\jre\dll;'
  'SET CLASSPATH='
  'SET JAVA_HOME=D:\Java13'
  path = 'D:\Java13\bin;D:\Java13\jre\bin;' || path
  jver = 'J13.'
end
else
if ver='11' then do
  'SET BEGINLIBPATH=D:\Java11\bin;D:\Java11\dll;'
  'SET CLASSPATH=D:\Java11\swing\swingall.jar;'
  'SET JAVA_HOME=D:\Java11'
  path = 'D:\Java11\bin;' || path
  jver = 'J11.'
end
else do
  'SET BEGINLIBPATH='
  'SET CLASSPATH='
  'SET JAVA_HOME='
  jver = ''
end

'SET PATH=' || path
call setprompt '-j' jver
