/* Validation with MSV, syntax: msv <schema> <xml-file(s)> */

'@echo off'
call RxFuncAdd "SysLoadFuncs", "RexxUtil", "SysLoadFuncs"
call SysLoadFuncs

x = setlocal()

/* Optionally set the JAVA environment (PATH, BEGINLIBPATH, CLASSPATH) */
env="OS2ENVIRONMENT"
if pos('JAVA', translate(value('PATH',,env)))=0 then call jv 'default'

/* parse arg does not handle // un urls :-( */
arguments = ''
do until args == '.'
  '@echo .%1 %2 %3 %4 %5 %6 %7 %8 %9 | rxqueue'
  args = strip(linein('QUEUE:'))
  arguments = arguments substr(args, 2)
  do i = 1 to 9
    '@shift'
  end
end

/* MSV_JAR _must_ contain full path to msv.jar */
msv = value('MSV_JAR',,env)

/* Get the name of the Java executable */
jre = SysSearchPath('PATH', 'jre.exe')
if jre = '' then jre = SysSearchPath('PATH', 'java.exe')

/* Invoke Java/msv */
jre '-jar' msv arguments

x = endlocal()

exit rc
