/* Running Saxon with Xerces and Apache catalog support */

'@echo off'
call RxFuncAdd "SysLoadFuncs", "RexxUtil", "SysLoadFuncs"
call SysLoadFuncs

x = setlocal()

env="OS2ENVIRONMENT"
if pos('JAVA', translate(value('PATH',,env)))=0 then call jv 'default'

parse arg arguments
parse var arguments pre ':\\' post
do while pre \= '' & post \= ''
  arguments = pre || '://' || post
  parse var arguments pre ':\\' post
end

cat = value('XML_CATALOG_FILES',,env)
if cat \= '' then cat = '-Dxml.catalog.files=' || cat

xmlreader = 'org.apache.xml.resolver.tools.ResolvingXMLReader'
catresolver = 'org.apache.xml.resolver.tools.CatalogResolver'

saxon = value('SAXON8_JAR',,env)
resolver='F:\xml\xml-commons-resolver-1.1\resolver.jar'
jaxp='F:\xml\java_xml\jaxp-1.2_01\jaxp-api.jar'
xerces='F:\xerces-2_3_0\xercesImpl.jar'
parser = '-Djavax.xml.parsers.SAXParserFactory=org.apache.xerces.jaxp.SAXParserFactoryImpl'

properties = ''
/* '-Dencoding.cp852="cz.euweb.icebearsoft.saxon.charcode.CP852CharacterSet"' */
/* '-Dxml.catalog.debug=4' */

jre = SysSearchPath('PATH', 'jre.exe')
if jre = '' then jre = SysSearchPath('PATH', 'java.exe')

jre '-cp' saxon || ';' || jaxp || ';' || xerces || ';' || resolver parser cat properties 'net.sf.saxon.Compile -y' xmlreader '-r' catresolver arguments

x = endlocal()

exit rc
