/* Set the prompt */

parse arg what how rest

/*
what: -e for environment, -j for java version, -p, -c for setting the prompt or cmdshl.prompt
how:  new contents according to "what"
rest: should be empty
*/

if rest\='' then do
  say 'Too many arguments:' setprompt what how ':::' rest
  exit 1
end

env = 'OS2ENVIRONMENT'
if what='-e' then oldenv = value('IBS.ENV',how,env)
else oldenv = value('IBS.ENV',,env)
if what='-j' then oldjver = value('IBS.JVER',how,env)
else oldjver = value('IBS.JVER',,env)

if what='-p' | what='-c' then do
  parse var how pre '@#' post
  jver = value('IBS.JVER',,env)
  envir = value('IBS.ENV',,env)
  if what='-p' then 'SET PROMPT=' || pre || jver || envir post
  else 'SET CMDSHL.PROMPT=' || pre || jver || envir post
end
else
if what='-j' | what='-e' then do
  call parseprompt 'PROMPT'
  call parseprompt 'CMDSHL.PROMPT'
end
else do
  say 'The first argument must be either -e or -j or -p or -c'
  exit 1
end

exit 0

parseprompt: procedure expose what how oldenv oldjver env
parse arg envar
oldprompt = value(envar,,env)
if oldenv\='' & oldjver\='' then parse var oldprompt a value(oldjver) q value(oldenv) z
else do
  q = ''
  if oldjver\='' then parse var oldprompt a value(oldjver) z
  else
  if oldenv\=''  then parse var oldprompt a value(oldenv) z
  else do
    a = ''
    z = oldprompt
  end
end

if what='-e' then 'SET' envar || '=' || a || oldjver || q || how || z
if what='-j' then 'SET' envar || '=' || a || how || q || oldenv || z

return
